[Qa-jenkins-scm] [jenkins.debian.net] 01/01: reproducible: dont make a build ftbfs if the node is outdated...

Holger Levsen holger at moszumanska.debian.org
Mon Aug 31 22:48:06 UTC 2015


This is an automated email from the git hooks/post-receive script.

holger pushed a commit to branch master
in repository jenkins.debian.net.

commit 1d4f520fdc025343d6a068d86b3ed9531cdc8f21
Author: Holger Levsen <holger at layer-acht.org>
Date:   Tue Sep 1 00:47:41 2015 +0200

    reproducible: dont make a build ftbfs if the node is outdated...
---
 bin/reproducible_build.sh | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/bin/reproducible_build.sh b/bin/reproducible_build.sh
index 859285f..5bf21dc 100755
--- a/bin/reproducible_build.sh
+++ b/bin/reproducible_build.sh
@@ -538,7 +538,14 @@ build_rebuild() {
                 ls -R $TMPDIR
 		ssh -p $PORT1 $NODE1 "rm -r $TMPDIR"
 	fi
-	if [ -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] ; then
+	if [ ! -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] && [ -f b1/${SRCPACKAGE}_*_${ARCH}.changes ] ; then
+			echo "Version mismatch between main node and first build node, aborting. Please upgrade the schroots..." | tee -a ${RBUILDLOG}
+			# this is wrong / not optimal but it should at least stop the false ftbfs...
+			FTBFS=0
+		        calculate_build_duration
+			update_db_and_html "depwait"
+			exit 1
+	elif [ -f b1/${SRCPACKAGE}_${EVERSION}_${ARCH}.changes ] ; then
 		# the first build did not FTBFS, try rebuild it.
 		check_for_race_conditions
 		echo "============================================================================="

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/qa/jenkins.debian.net.git



More information about the Qa-jenkins-scm mailing list